Name:		ecncheck
Summary:	Utilities for checking ECN capabilities of hosts
Version:	0.9.6
Release:	2
License:	GPL
Group:		System Environment/Libraries
Packager:	Paul Howarth <paul@city-fan.org>
URL:		http://firestuff.org/
Source0:	http://firestuff.org/projects/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	firedns >= 0.9.9, firestring >= 0.9.9
BuildRequires:	firedns-devel >= 0.9.9, firestring-devel >= 0.9.9

%description
ecncheck will run the equivalent of TCP traceroute with and without
ECN, attempting to connect to a destination IP:port. It will print a block
of information describing the host's ECN capabilities, ranging from
supporting ECN to dropping ECN connections. If the host drops ECN and/or
non-ECN connections, the program also provides additional traceroute
and ICMP information that may help to track down the problem.

ecnmx will look up the list of MX records and corresponding A records
(or just A records if no MX records are available) for the given host,
and run ecncheck on each host:port combination. It will pass through
ecncheck output underneath each MX/A header.

%prep
%setup -q -n %{name}

%build
PREFIX=%{_prefix} MANDIR=%{_mandir} CONFDIR=/etc \
BINDIR=%{_bindir} SBINDIR=%{_sbindir} LIBDIR=%{_libdir} INCLUDEDIR=%{_includedir} ./configure
%{__sed} -e 's#\(copy\.sh [^ ]* \)\([^ ]* \)#\1'$RPM_BUILD_ROOT'\2#g' \
         -e 's#\(strip \)\([^ ]*\)#\1'$RPM_BUILD_ROOT'\2#g' \
         -e 's# \([$][(]CONFDIR[)]\)# '$RPM_BUILD_ROOT'\1#g' Makefile > Makefile.rpm
%{__mv} Makefile Makefile.orig
%{__mv} Makefile.rpm Makefile
%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -fr "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root) 
%{_bindir}/ecncheck
%{_bindir}/ecnmx
%{_mandir}/man1/*
%doc GPL

%changelog
* Wed Aug 18 2004 Paul Howarth <paul@city-fan.org> 0.9.6-2
- %{_sysconfdir} replaced by /etc - actually more portable
- %{buildroot} replaced with $RPM_BUILD_ROOT as per Fedora
  packaging guidelines

* Wed Mar 10 2004 Paul Howarth <paul@city-fan.org> 0.9.6-1
- Update to 0.9.6.
- Source now bzip2 compressed instead of gzipped.

* Tue Mar 09 2004 Paul Howarth <paul@city-fan.org> 0.9.5-1
- Update to 0.9.5.

* Mon Mar 01 2004 Paul Howarth <paul@city-fan.org> 0.9.4-1
- Update to 0.9.4.

* Wed Feb 25 2004 Paul Howarth <paul@city-fan.org> 0.9.2-1
- Update to 0.9.2.

* Tue Feb 17 2004 Paul Howarth <paul@city-fan.org> 0.9.1-1
- Update to 0.9.1.

* Fri Feb 13 2004 Paul Howarth <paul@city-fan.org> 0.9.0-2
- Fix program locations.

* Fri Feb 13 2004 Paul Howarth <paul@city-fan.org> 0.9.0-1
- Initial RPM build.
